#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    int n,br=0;
    cin>>n;n++;
    int x[n],y[n],z[n];
    for(int i=1;i<n;i++){
        cin>>x[i];
    }
    for(int i=1;i<n;i++){
        cin>>y[i];
    }
    for(int i=1;i<n;i++){
        cin>>z[i];
    }
    for(int i=1;i<n;i++){
        for(int j=1;j<n;j++){
            if(x[i]==y[z[j]])
                br++;
        }
    }
    cout<<br<<endl;
    return 0;
}